/************* BASE STYLES *************/
* {
    box-sizing: border-box;
}

body {
    font-family: 'Open Sans', sans-serif;
    font-size: 14px;
    line-height: 1.4;
    color: #364147;
    margin: 0;
}

input,
button {
    font-family: inherit;
    font-size: inherit;
}

a {
    color: #faa541;
    text-decoration: none;
}

ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

nav {
    padding: 10px 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
}

/***************************************/

/*** NAVIGATION AREA ***/

nav {

    border-bottom: 1px solid grey;

}

.fullNav {

    display: flex;
    justify-content: space-between;
    max-width: 100rem;
    margin: 0 auto;
    min-height: 6.6rem;

}

/* BRANDING AREA */

.branding {

    align-self: stretch;
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    width: 25%;
    padding-left: 1rem;

}

.branding img {

    max-height: 5.65rem;

}

/* SEARCH AND NAVBAR AREA */

.navBar {

    display: flex;
    align-items: center;
    width: 70%;

}

.middleNav {

    font-size: 0.87rem;
    display: flex;
    flex-direction: column;
    width: 75%;

}

.middleNav input {

    min-width: 18rem;
    padding: 0.5rem;

}

.searchBt {

    background-color: #A0A0A0;
    min-height: 2.45rem;
    width: 5rem;
    color: white;
    border: 0px;

}

.navButtons li {

    display: inline-block;
    margin-top: 1rem;
    padding-right: 0.8rem;
    text-transform: uppercase;
    font-weight: bolder;

}


/* NAV USER AREA */

.profile {

    display: flex;
    width: 25%;
    font-size: 0.87rem;

}

.userText {

    padding-top: 0.5rem;
    text-align: right;
    font-size: 1rem;

}

.userText a {

    display: block;
    font-size: 0.8rem;

}

.imgPerfil {

    margin-left: 1rem;
    max-height: 4.1rem;
    border-radius: 50%;

}

.collapseBt {

    display: none;
    max-width: 10rem;

}

.collapseBt figure {

    margin: 0;
    width: 60%;
    margin-right: 1rem;

}

.collapseBt figure:hover {

    cursor: pointer;

}

.collapseBt figcaption {

    display: none;

}

.collapseBt img {

    width: 100%;
    border: 1px solid black;
    padding: 0.3rem;

}


/*** HERO BANNER ***/

.heroBanner {

    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url('../img/hero.jpg');
    background-position: -8rem -7.25rem;
    min-height: 23.2rem;
    text-align: center;

}

.heroPromo {

    text-transform: uppercase;
    text-align: center;
    line-height: 1;

}

.heroP1,
.heroP2 {

    padding: 0;
    font-size: 3.2rem;

}

.heroP2 {

    padding-left: 2.5rem;

}

.heroP2 {

    color: #FAA541;

}

.heroP3 {

    margin-top: 0;
    font-weight: bold;
    font-size: 1.2rem;
    letter-spacing: 0.12rem;
    padding-left: 3.25rem;

}


/*** MAIN CONTAINER ***/

.main {

    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;

}

/* SALE BANNER */

.saleBanner {

    max-width: 56.25rem;
    margin-top: 1.5rem;
    border-top: 0.1px solid grey;
    border-bottom: 0.1px solid grey;

}

.saleContainer {

    display: flex;
    justify-content: center;
    align-items: center;
    height: 13.8rem;

}

.salePromos {

    width: 50%;
    text-align: center;
    text-transform: uppercase;
    line-height: 1.1;
    font-size: 1.6rem;

}

.saleP1,
.saleP2 {

    font-weight: bolder;

}

.saleP1 {

    color: #a0a0a0;

}

.saleP2 {

    color: #FAA541
}

.saleP3 {

    font-size: 0.8rem;
}

.saleContainer img {

    width: 25%;

}

/* CATEGORIES */

.categories {

    margin-top: 1.5rem;
    max-width: 56.25rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;

}

.categories > a {

    width: 23%;

}

.categories img {

    width: 100%;

}

.catDetail {

    margin-top: 1.25rem;
    margin-bottom: 1.25rem;
    text-transform: uppercase;
    text-align: center;
    font-size: 16px;

}

.catDetail h3 {

    color: #364147;
    letter-spacing: 0.08rem;
    font-size: 1.5rem;

}

.catSub {

    color: #FBBB72;

}


/* FULL BANNER */

.bottomBanner {

    width: 56.25rem;
    outline: 2px solid #868C90;
    outline-offset: -20px;
    display: flex;
    border-radius: 2px;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;

}

.mountains {

    background-image: url('../img/vista.jpg');
    width: 65%;
    min-height: 21.9rem;
    background-size: cover;

}

.botBanText {

    width: 35%;
    min-height: 21.9rem;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: #364147;
    text-transform: uppercase;

}

.botBanHeader {

    position: relative;
    color: #617C91;
    font-size: 2rem;
    font-style: italic;
    margin-bottom: 1.25rem;

}

.botBanHeader:after {

    content: "";
    border-bottom: 1px solid #FAA541;
    position: absolute;
    top: 150%;
    left: 35%;
    width: 5.5rem;

}

.botBanSub,
.botBanSub3 {

    color: #FEFEFE;

}

.botBanSub {

    margin-top: 1.5rem;
    font-size: 2.8rem;
    font-weight: bolder;

}

.botBanSub2 {

    color: #C0C1B4;
    font-size: 1rem;
    letter-spacing: 0.2rem;
    margin-top: -0.2rem;

}

.botBanSub3 {

    margin-top: 2rem;
    font-size: 0.8rem;
    padding: 0.5rem;
    border-radius: 2px;
    height: 1.9rem;
    width: 5.5rem;
    align-self: center;
    background-color: #FAA541;

}

/** FOOTER **/

/* Parte de la izquierda */

footer {

    display: flex;
    width: 100%;

}

.leftFooter {

    display: flex;
    align-items: flex-start;
    justify-content: center;
    width: 75%;
    padding: 2rem;
    background-color: #A0A0A0;

}

.subFooter {

    width: 22.5%;

}

.subFooHeader {

    font-weight: bolder;
    letter-spacing: 0.07rem;
    text-transform: uppercase;
    color: #364147;

}

.subFooter ul {

    margin-top: 0.7rem;

}

.subFooter ul li a {

    color: white;
    text-transform: uppercase;
    font-size: 0.7rem;
    line-height: 1.5;

}

.social li {

    display: inline;

}

.twitter {

    background-image: url('../img/twitter.svg');
    background-repeat: no-repeat;
    padding: 0.3rem 0.6rem 0.6rem 0.6rem;

}

.facebook {

    background-image: url('../img/facebook.svg');
    background-repeat: no-repeat;
    padding: 0.3rem 0.6rem 0.6rem 0.6rem;

}

.instagram {

    background-image: url('../img/instagram.svg');
    background-repeat: no-repeat;
    padding: 0.3rem 0.6rem 0.6rem 0.6rem;

}

.pinterest {

    background-image: url('../img/pinterest.svg');
    background-repeat: no-repeat;
    padding: 0.5rem 0.8rem 0.8rem 0.6rem;

}

.emailFooter {

    margin-top: 1rem;

}

.emailInfo {

    font-size: 0.75rem;
    margin-top: 0.6rem;
    font-style: italic;

}

.emailFooter input {

    margin-top: 1rem;
    margin-bottom: 1rem;
    border: 1.5px solid #696F72;
    padding: 0.3rem 0rem 0.3rem 1rem;
    font-size: 0.8rem;

}

.emailFooter button {

    width: 8.2rem;
    text-transform: uppercase;
    color: white;
    background-color: #364147;
    border-radius: 2px;
    padding: 0.35rem;
    border-style: none;

}

/* Parte de la derecha */

.rightFooter {

    width: 25%;
    background-color: black;
    color: white;

}

.rightFooContainer {

    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;

}

.pluralsight {

    padding-top: 1.85rem;
    padding-bottom: 1.25rem;
    width: 75%;

}

.disclaimer {

    width: 90%;
    font-size: 0.8rem;
    padding-top: 1.5rem;
    padding-bottom: 4.5rem;
    border-top: 1px solid transparent;
    border-image: linear-gradient(to right, #883217, #3C0323);
    border-image-slice: 1;
    text-align: left;
    color: white;

}

/* RESPONSIVE MÓVIL */

@media screen and (max-width: 768px) {

    /* NAVIGATION */

    .navBar {

        display: none;
        /* Aquí habría que añadir JS para mostrarlo */
        /* width: 100%; */

    }

    .branding {

        width: auto;

    }

    .collapseBt {

        display: flex;
        align-items: center;
        justify-content: flex-end;

    }

    /* HERO */

    .heroBanner {

        background-position: -32rem -5rem;

    }

    .salePromos {

        text-align: center;

    }

    .saleP1,
    .saleP2 {

        font-size: 1rem;

    }

    /* CATEGORIES */

    .categories a {

        width: 45%;

    }

    /* FULL BANNER */

    .mountains {

        width: 60%;

    }

    .botBanText {

        width: 40%;

    }

    .mountains,
    .botBanText {

        min-height: 13rem;

    }

    .botBanHeader {

        font-size: 1.2rem;

    }

    .botBanHeader:after {

        width: 4rem;

    }

    .botBanSub {

        margin-top: 0;
        font-size: 1.7rem;

    }

    .botBanSub2 {

        font-size: 0.55rem;
    }

    .botBanSub3 {

        font-size: 0.5rem;
        margin-top: 1.2rem;
        padding: 0.2rem;
        height: 1.3rem;
        width: 4rem;

    }

    /* FOOTER */

    .leftFooter {

        flex-direction: column;

    }

    .leftFooter {

        justify-content: space-between;

    }

    .subFooter {

        width: 100%;

    }

    .disclaimer {

        font-size: 1rem;

    }

}

/* RESPONSIVE TABLET */

@media screen and (min-width: 769px) and (max-width: 1024px) {

    /* NAVIGATION */

    .branding {

        align-items: flex-start;

    }

    .navButtons {

        justify-content: center;

    }

    .navButtons li {

        font-size: 0.7rem;
        padding-right: 0.2rem;

    }

    .profile {

        flex-direction: column-reverse;
        align-items: flex-end;
        width: 20%;

    }

    /* HERO BANNER */

    .heroBanner {

        background-position: -25rem -8rem;

    }

    /* FOOTER */

    .leftFooter {

        flex-wrap: wrap;
        justify-content: space-around;

    }

    .disclaimer {

        font-size: 1.2rem;

    }

}

/* MEDIA QUERIES COMUNES PARA MÓVIL Y TABLET */

@media screen and (max-width: 1024px) {

    /* CATEGORIES */

    .categories {

        justify-content: space-around;

    }

    /* FULL BANNER */

    .bottomBanner {

        width: 100%;

    }

    /* FOOTER */

    footer {

        flex-direction: column;

    }

    .leftFooter,
    .rightFooter {

        width: 100%;

    }

    .subFooter {

        margin-top: 1.5rem;

    }

    .pluralsight {

        width: 45%;

    }

}